# QItemSelectionModel Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QItemSelectionModel(QAbstractItemModel model)
- void QItemSelectionModel(QAbstractItemModel model, QObject parent)

### Constructor Properties

- prototype: The QItemSelectionModel prototype object
- NoUpdate = 0x0000
- Clear = 0x0001
- Select = 0x0002
- ClearAndSelect = Clear|Select
- Deselect = 0x0004
- Toggle = 0x0008
- Current = 0x0010
- SelectCurrent = Select|Current
- ToggleCurrent = Toggle|Current
- Rows = 0x0020
- Columns = 0x0040
- SelectionFlag( value )
- SelectionFlags( value1, value2, ... )

### Prototype Object Properties

The QItemSelectionModel prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool columnIntersectsSelection(int column, QModelIndex parent)
- QModelIndex currentIndex()
- bool hasSelection()
- bool isColumnSelected(int column, QModelIndex parent)
- bool isRowSelected(int row, QModelIndex parent)
- bool isSelected(QModelIndex index)
- QAbstractItemModel model()
- bool rowIntersectsSelection(int row, QModelIndex parent)
- List selectedColumns(int row)
- List selectedIndexes()
- List selectedRows(int column)
- QItemSelection selection()

### Instance Properties

QItemSelectionModel objects have no special properties beyond those inherited from the QItemSelectionModel prototype object.